Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# CosNotification::_EventType Struct Reference

Define event type names. More...

`import "CosNotification.idl";`

List of all members.

## Public Attributes
string | domain_name
| The name of the vertical industry defining the event type.
string | type_name
| The type of event.

## Detailed Description

Define event type names.

Different vertical industries (domains) can define well-known events (event_types). This structure is used for that purpose

## Member Data Documentation

string CosNotification::_EventType::domain_name

| The name of the vertical industry defining the event type.

string CosNotification::_EventType::type_name

| The type of event.

The documentation for this struct was generated from the following file:

- CosNotification.idl